# 32/64bit spec-file
#
%define	name		transcode
%define	version		1.1.7

%define	rname		%{name}-%version
%define build_pvm 0

Name:		%{name}
Version:	%{version}
Release:	%mkrel 7
Summary:	A linux video stream processing utility
License: 	GPLv2+
Group: 		Video
Url:		http://www.transcoding.org
Source:		http://www.jakemsr.com/transcode/%{rname}.tar.xz
Patch0:		transcode-1.1.7-ffmpeg.patch
Patch1:		transcode-1.1.7-ffmpeg-0.10.patch
Patch2:		transcode-1.1.7-ffmpeg-0.11.patch
Patch3:		transcode-1.1.7-preset-free.patch
Patch4:		transcode-1.1.7-libav-9.patch
Patch5:		transcode-1.1.7-preset-force.patch
Patch6:		transcode-1.1.7-ffmpeg2.patch
Patch7:		transcode-1.1.7-freetype.patch
Patch8:		transcode-1.1.7-ffmpeg-2.4.patch
Patch9:		transcode-1.1.7-ffmpeg29.patch
Patch10:	transcode-ffmpeg3.patch

#---------------------------------------
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}a52dec0-devel
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}dv-devel
BuildRequires: %{_lib}dvdread-devel
BuildRequires: %{_lib}faac-devel
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}lame0-devel
BuildRequires: %{_lib}lzo-devel
BuildRequires: %{_lib}magick-devel
BuildRequires: %{_lib}mjpegtools-devel
BuildRequires: %{_lib}mpeg2dec-devel
BuildRequires: %{_lib}ogg-devel
BuildRequires: %{_lib}quicktime-devel
BuildRequires: %{_lib}v4l-devel
BuildRequires: %{_lib}vorbis0-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}xv-devel
BuildRequires: %{_lib}xvid4-devel
BuildRequires: libtheora-devel
%if %build_pvm
BuildRequires:  libpvm-devel
%endif
#---------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot


%description
transcode is a text-console video stream processing
tool. Decoding and encoding is done by loading shared library modules
that are responsible for feeding transcode with raw RGB/PCM streams 
(import module) and encoding the frames (export module). It supports
elementary video and audio frame transformations.
Some example modules are included to enable import
of MPEG program streams (VOB), Digital Video (DV), or YUV video 
and export modules for writing DivX;-), OpenDivX, or uncompressed AVI files. 
A set of tools is available to extract and decode the sources into 
raw video/audio streams for import and to enable post-processing of AVI files.


%prep
%setup -q -n %rname
%apply_patches

%build
%ifarch %ix86
export CPPFLAGS="$CPPFLAGS -mmmx"
%endif
%configure2_5x \
--enable-libmpeg2 \
--enable-libmpeg2convert \
--enable-a52-default-decoder \
--with-default-xvid=xvid4 \
--enable-libdv \
%if %build_pvm
--with-pvm3-lib=/usr/share/pvm3/lib/LINUX/ \
%else
 --disable-pvm3 \
%endif
--disable-imagemagick \
--enable-mjpegtools \
--enable-netstream \
--enable-ogg --enable-vorbis \
 --enable-theora \
--enable-libquicktime \
--enable-lzo --with-lzo-includes=%_includedir/lzo \
--enable-libxml2 \
--enable-a52 \
--enable-sdl \
--enable-v4l \
--enable-libv4l2 \
--enable-libv4lconvert \
--enable-libfame \
--enable-oss \
--enable-alsa \
--enable-libpostproc \
--enable-faac \
--enable-deprecated \
--enable-freetype2 \
--enable-xvid \
--enable-x264 \

%make 

%install
rm -rf %buildroot installed-docs
%makeinstall transform=""
for file in `find $RPM_BUILD_ROOT -name "*.la"`; do
	perl -pi -e 's|'$RPM_BUILD_DIR'/%{rname}/||g' $file
done
mv %buildroot/%_datadir/doc/transcode installed-docs

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc installed-docs/*
%_bindir/transcode
%_bindir/tccat
%_bindir/aviindex
%_bindir/avimerge
%_bindir/avisplit
%_bindir/tcdemux
%_bindir/tcprobe
%_bindir/avifix
%_bindir/tcscan
%_bindir/tcextract
%_bindir/avisync
%_bindir/tcdecode
%_bindir/tcmodinfo
%_bindir/tcxmlcheck
%_bindir/tcxpm2rgb
%_bindir/tcmp3cut
%_bindir/tcrequant
%if %build_pvm
%_bindir/tcpvmexportd
%endif
%_bindir/tcyait
%{_mandir}/man1/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}


%changelog
* Thu Jul 09 2018 adrianomorselli <adrianomorselli> 1.1.7-7uplos2018
- rebuild against updates
